what is arm-linux-gcc and how to install this in ubuntu

In compiling qt I found that there is a qws target called arm-linux-gcc. I looked around a bit but unable to figure out how and where to find this. I tried installing and apt-cache gave me...

can't install libc6 package

[email protected]:~$ sudo apt-get install libc6-i386 Reading package lists... Done Building dependency tree Reading state information... Done You might want to run 'apt-get -f install' to...

apt-get error: Sub-process /usr/bin/dpkg returned an error code (1)

I have error in apt-get install it is a error: The following packages have unmet dependencies: gcc-4.8-multilib : Depends: libc6-dev-i386 (>= 2.11) but it is not going to be installed ...

Install pip in docker

I'm not able to install pip in Docker. Here's my Dockerfile: FROM ubuntu:14.04 # Install dependencies RUN apt-get update -y RUN apt-get install -y git curl apache2 php5 libapache2-mod-php5...

Error while installing python3 and pip3 in kali linux

I have use the following commands at the time of installation: tar -xvf python-3.3.0.tgz cd python-3.3.0 ./configure make sudo make altinstall sudo apt-get install...

Apt-get can't install anything due to broken dependencies

Whenever I run apt-get install for any package I get this error ➜ ~ sudo apt-get install clang-5.0 Reading package lists... Done Building dependency tree Reading state information......

Issue in installing php7.2-mcrypt

As I'm trying to load mcrypt extension module from PHP 7.2.X version. So I tried to make use of PECL library that is compatible to the current version of my PHP, in order to get installed and...

Mismatch between MeasureString on Windows and Ubuntu in .NET Core

I use System.Drawing.Graphics.MeasureString for string measuring but it returns different results for the same parameters on Windows and Ubuntu computer. On Ubuntu, I get bigger value than on...

ANTICONF ERROR: cannot install V8 R package

I'm trying to install V8 rpackage on Ubuntu 18.04.1 LTS. The version of R used is R 3.5.1. I proceeded as follows: I installed libv8 by typing : sudo apt-get install -y libv8-3.14-dev I type this...

DllImport not working on Docker - DllNotFoundException

I have a project developed with .NET Core and C#, running on Docker, that has to call a few functions on a DLL developed with C++. The problem is: when I run my project without Docker, on Windows...

Compiling xv6 code but giving the errors on assembly instruction

I am using Ubuntu 18.04.2 LTS under windows 10 by using "Windows subsystem for Linux." I am experiencing some issues with XV6. I set up XV6 by using the command: git clone...

Is it impossible to install R 4.0 on Ubuntu 18.04.4 LTS because r-base-core requires a libc6 version >= 2.29?

I am trying to install R 4.0 on Ubuntu 18.04.4 LTS but I keep getting errors of > sudo apt install r-base-core Reading package lists... Done Building dependency tree Reading state information......

Yocto poky build fails on function do_rootfs

I've been following the steps on https://www.linux4sam.org/bin/view/Linux4SAM/PokyBuild to build a core-image-minimal and a microchip-headless-image for SAMA5D27 eval kit using Yocto. I am stuck...

E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages. when installing python-dev

i have a problem when installing python-dev in kali linux with this code sudo apt-get install python-dev but it comes with this message Reading package lists... Done Building dependency tree ...

how to install older version of gcc -3 or gcc-4 in ubuntu 20

I'm trying to install an older version of gcc-4enter code here for my ubuntu Make a build directory ( mkdir gcc-build && cd gcc-build) Download the source file: wget...

apt get update is posting an error while using debian source

my dockerfile is as below: FROM wordpress:5.5.1-php7.4 RUN echo 'deb http://ftp.us.debian.org/debian sid main' >> /etc/apt/sources.list RUN apt-get update && \ apt-get install -y wget sudo &&...

The author primary signature's timestamp found a chain building issue: UntrustedRoot: self signed certificate in certificate chain

While doing a docker build on my .NET Core project, I got the following error on all my NuGets: 80.19 /app/GradingTool.Tests/GradingTool.Tests.csproj : error NU3028: Package...

EFS mount on ECS Fargate - Read/write permissions denied for non root user

I have an ECS Fargate container running a nodejs application with non-root permissions and is also mounted to EFS on /.user_data inside the container. I followed this AWS tutorial. My setup is...

Firefox headless not working within Docker as non-root user

As the title says, I'm having trouble running Firefox in headless mode inside a Docker container as a non-root user. Consider the following Dockerfile, built with docker build -t firefox . FROM...

unable to install g++ and build-essentials in ubuntu 20.04

even after cleaning with apt-get clean it says there are broken packages. sudo dpkg -l | grep ^..r as mentioned in [1] returns nothing. $ sudo apt-get install build-essential Reading package...

Unmet dependencies (venv & ensurepip) error when running erdpy-up

Trying to install erdpy fails with the following error: $ python3 erdpy-up.py INFO:installer:Checking user. INFO:installer:Checking Python version. INFO:installer:Python version:...

How can I install libgdiplus apt package on Linux Azure Function startup command?

We have a .NET Core 3.1 function running on Linux Azure Function App, but because it uses System.Drawing library it depends on libgdiplus which is not installed in the default docker image, so the...

pip install py-find-1st fails on ubuntu20 & centos with python3.9

This is my process. I start a new aws t2.micro ec2 on ubuntu20 and run this script sudo apt-get update sudo apt-get install gcc sudo apt-get install python3.9 sudo apt-get install...

A new issue: fatal error: stdio.h: No such file or directory

I tried to use gcc to compile .c file, but the issue occurs as shown, fatal error: stdio.h: No such file or directory # gcc hello.c -o hello hello.c:1:9: fatal error: stdio.h: No such file or...

RemoteCertificateNameMismatch error on .NET Core API in Kubernetes with AzureAD Auth

I am trying to create a web API (ASP.NET Core using Azure AD OAuth for authorization) which runs in Kubernetes (Bare-metal, using NGINX-Ingress). Running the API in IIS Express works without...

Docker build exit status 127 (Errors were encountered while processing: libc6:amd64)

Environment: Ubuntu 20.04.3 LTS Docker version 20.10.8, build 3967b7d Kernel version 5.11.0-27-generic Dockerfile FROM python:3.7-slim-buster as base RUN echo 'deb http://deb.debian.org/debian...

Docker failed with [Makefile:192: imagick_file.lo] Error 127

I try to install php in docker of w2orking project with header in Dockerfile : FROM composer:1 AS composer FROM php:7.4-fpm-alpine COPY --from=composer /usr/bin/composer /usr/bin/composer ENV...

syscall(SYS_getuid) returns different result from getuid()

I would like to use syscalls to get the id of the current user. I tried it like this: #include <unistd.h> #include <sys/syscall.h> #include <stdio.h> int main(int argc, char *argv[]) { int...

CRC mismatch warning running helloworld.c from gdb on ubuntu 20.04.3

I have the most trivial program $ cat helloworld.c #include <stdio.h> int main(void){ printf("Hello World!\n"); return 0; } $ gcc -g helloworld.c -o helloworld Which I'm wanting to run under...

Puppeteer on Docker M1 Mac fails to open new page (`Target.createTarget`)

I'm unable to launch a new page using Puppeteer within Docker, on an M1 Mac. Versions Docker: version 20.10.11, build dea9396 Node: 16.13.1 MacOS: 12.0.1 (21A559) Puppeteer: 13.0.1 M1 Chip Error...